clear
% Fs=22050;                              %语音信号采样频率为22050Hz
% [z,Fs]=audioread('Audio.wav');
% [z,Fs]=audioread('msg.wav');
% [z,Fs]=audioread('shake.wav');
% [z,Fs]=audioread('tweet.wav');
% [z,Fs]=audioread('system.wav');
[z,Fs]=audioread('Global.wav');
sound(z,Fs);                   %播放语音信号
z1=fft(z,2048);                      %对信号做1024点FFT变换
F=Fs*(0:1023)/2048;
figure(1);
subplot(2,1,1);
plot(z);                                      %绘制原始语音信号的时域波形图  
set(gca,'Fontsize',22);
title('语音信号的时域图','Fontsize',22);
xlabel('时间','Fontsize',22);
ylabel('幅值','Fontsize',22);
subplot(2,1,2);
plot(F,abs(z1(1:1024)));
set(gca,'Fontsize',22);
title('语音信号的FFT幅度频谱','Fontsize',22);
xlabel('频率','Fontsize',22);
ylabel('幅度','Fontsize',22);
figure(2);
freqz(z)                                   %绘制原始语音信号的频率响应图
set(gca,'Fontsize',22);
title('语音信号的频率响应','Fontsize',22)
